Package org.opensaml.soap.wstrust.impl

# Class BinaryExchangeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl
org.opensaml.soap.wstrust.impl.BinaryExchangeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XSString`, `XMLObject`, `BinaryExchange`, `WSTrustObject`

public class BinaryExchangeImpl extends XSStringImpl implements BinaryExchange
BinaryExchangeImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`encodingType`
The wst:BinaryExchange/@EncodingType attribute value.
`private final AttributeMap`
`unknownAttributes`
xs:anyAttribute for this element.
`private String`
`valueType`
The wst:BinaryExchange/@ValueType attribute value.

### Fields inherited from interface org.opensaml.soap.wstrust.BinaryExchange

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, ENCODING_TYPE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME, VALUE_TYPE_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BinaryExchangeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncodingType()`
Returns the EncodingType attribute value.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`String`
`getValueType()`
Returns the ValueType attribute URI value.
`void`
`setEncodingType(String newEncodingType)`
Sets the EncodingType attribute value.
`void`
`setValueType(String newValueType)`
Sets the ValueType attribute URI value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSStringImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### valueType

@Nullable private String valueType
The wst:BinaryExchange/@ValueType attribute value.

### encodingType

@Nullable private String encodingType
The wst:BinaryExchange/@EncodingType attribute value.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
xs:anyAttribute for this element.

## Constructor Details

### BinaryExchangeImpl

public BinaryExchangeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getEncodingType

@Nullable public String getEncodingType()
Returns the EncodingType attribute value.

Specified by:
  `getEncodingType` in interface `BinaryExchange`
Returns:
  the EncodingType attribute value.

### setEncodingType

public void setEncodingType(@Nullable String newEncodingType)
Sets the EncodingType attribute value.

Specified by:
  `setEncodingType` in interface `BinaryExchange`
Parameters:
  `newEncodingType` - the EncodingType attribute value.

### getValueType

@Nullable public String getValueType()
Returns the ValueType attribute URI value.

Specified by:
  `getValueType` in interface `BinaryExchange`
Returns:
  the ValueType attribute value or `null`.

### setValueType

public void setValueType(@Nullable String newValueType)
Sets the ValueType attribute URI value.

Specified by:
  `setValueType` in interface `BinaryExchange`
Parameters:
  `newValueType` - the ValueType attribute value.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes